import EuiBasePage from '../eui-base.po.js'
import CoEuiDropdown from '../../../../components/10x/eui/eui-dropdown.js'
import CoEuiList from '../../../../components/10x/eui/eui-list.js'

export default class EuiDropdownButtonPage extends EuiBasePage {
  constructor() {
      super();
  }
  get dropdownButtonCo() {
    return new CoEuiDropdown(this.mainContent);
  }
  dropdownFromSectionWithIdByIndex(id, index) {
    let dropdown = new CoEuiDropdown(this.sectionById(id));
    return dropdown.byIndex(index);
  }
  get euiListCo() {
    return new CoEuiList('//body');
  }

}


